> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order details

> Get details and check the status of an existing order.\
Can be performed any time after session creation




## OpenAPI

````yaml get /v2/order/{order_uuid}
openapi: 3.1.0
info:
  title: Sezzle API v2
  description: >-
    This Sezzle API is for merchants who want to accept Sezzle as a payment
    option
  termsOfService: https://legal.sezzle.com
  version: 2.0.0
  x-logo:
    url: https://media.sezzle.com/branding/2.0/png/Logo_WhiteWordmark_500x126.png
    backgroundColor: '#392558'
servers:
  - url: https://sandbox.gateway.sezzle.com
    description: development server, usa, ca
  - url: https://gateway.sezzle.com
    description: production server, usa, ca
security:
  - Bearer: []
externalDocs:
  description: Sezzle API guides and tutorials
  url: https://docs.sezzle.com/sezzle-integration
paths:
  /v2/order/{order_uuid}:
    get:
      tags:
        - Order
      summary: Get order details
      description: |
        Get details and check the status of an existing order.\
        Can be performed any time after session creation
      operationId: HandleGetOrderDetails
      parameters:
        - name: order_uuid
          in: path
          description: The Order UUID to retrieve (`order.uuid` from session response)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Response'
                  - $ref: '#/components/schemas/OrderBasic'
                  - $ref: '#/components/schemas/OrderDetail'
                  - $ref: '#/components/schemas/OrderGet'
                  - type: object
                    properties:
                      customer:
                        description: >-
                          The customer details on the order, amended with user
                          name, email, and phone from Sezzle account
                        allOf:
                          - $ref: '#/components/schemas/Customer'
                          - type: object
                            properties:
                              shipping_address:
                                $ref: '#/components/schemas/AddressV2'
                                description: The customer's shipping address
                  - type: object
                    properties:
                      authorization:
                        allOf:
                          - $ref: '#/components/schemas/Authorization'
                          - $ref: '#/components/schemas/AuthorizationDetails'
              example:
                uuid: 12a34bc5-6de7-890f-g123-4hi1238jk902
                links:
                  - href: >-
                      https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902
                    method: GET
                    rel: self
                  - href: >-
                      https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902
                    method: PATCH
                    rel: self
                  - href: >-
                      https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/release
                    method: POST
                    rel: release
                  - href: >-
                      https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/capture
                    method: POST
                    rel: capture
                  - href: >-
                      https://gateway.sezzle.com/v2/order/12a34bc5-6de7-890f-g123-4hi1238jk902/refund
                    method: POST
                    rel: refund
                intent: AUTH
                reference_id: ord_12345
                description: 'sezzle-store - #12749253509255'
                checkout_expiration: '2022-03-30T21:59:17.000Z'
                checkout_status: active
                metadata:
                  location_id: '123'
                  store_name: Downtown Minneapolis
                  store_manager: Jane Doe
                order_amount:
                  amount_in_cents: 10000
                  currency: USD
                items:
                  - name: widget
                    sku: sku123456
                    quantity: 1
                    price:
                      amount_in_cents: 1000
                      currency: USD
                tax_amount:
                  amount_in_cents: 500
                  currency: USD
                shipping_amount:
                  amount_in_cents: 1000
                  currency: USD
                shipping_method:
                  name: Standard Shipping
                  description: 4-5 days standard shipping method
                is_upcharge: false
                upcharges:
                  - uuid: 9f8e7d6c-5b4a-3210-9876-54321fedcba0
                    amount:
                      amount_in_cents: 500
                      currency: USD
                customer:
                  email: john.doe@sezzle.com
                  first_name: John
                  last_name: Doe
                  phone: '5555045294'
                  billing_address:
                    name: John Doe
                    street: 123 W Lake St
                    street2: Unit 104
                    city: Minneapolis
                    state: MN
                    postal_code: '55408'
                    country_code: US
                    phone: '5555045294'
                  shipping_address:
                    name: John Doe,
                    street: 123 W Lake St,
                    street2: Unit 104,
                    city: Minneapolis,
                    state: MN,
                    postal_code: '55408'
                    country_code: US
                    phone: '5555045294'
                authorization:
                  authorization_amount:
                    amount_in_cents: 10000
                    currency: USD
                  approved: true
                  expiration: '2020-04-23T16:13:44Z'
                  financing_option: 4-pay-biweekly
                  sezzle_order_id: order-id-in-merchant-dashboard
                  releases:
                    - uuid: 4b4d217c-18f1-4bfb-996e-767470c04661
                      amount:
                        amount_in_cents: 3000
                        currency: USD
                  captures:
                    - uuid: f4415e94-e562-47cc-94f3-92279f27dc20
                      amount:
                        amount_in_cents: 7000
                        currency: USD
                  refunds:
                    - uuid: 83162d2f-d5f1-43ad-91ed-e8231920ce6d
                      amount:
                        amount_in_cents: 1000
                        currency: USD
        '400':
          $ref: '#/components/responses/BadRequestV2'
          example:
            code: bad_request
            message: bad request
        '401':
          $ref: '#/components/responses/UnauthorizedV2'
          example:
            code: unauthorized
            message: authorization not accepted
        '404':
          $ref: '#/components/responses/NotFoundV2'
          example:
            code: record_not_found
            message: Invalid Order UUID
        '422':
          $ref: '#/components/responses/UnprocessableV2'
          example:
            code: invalid
            message: UnprocessableV2 entity
components:
  schemas:
    Response:
      type: object
      properties:
        uuid:
          type: string
          description: The unique identifier for this response
        links:
          type: array
          description: Available API links prefilled with UUID with accompanying method
          items:
            $ref: '#/components/schemas/Link'
    OrderBasic:
      type: object
      properties:
        intent:
          $ref: '#/components/schemas/Intent'
        reference_id:
          type: string
          description: >-
            The checkout or cart ID from the merchant, currently used for
            tracking only (must contain only alphanumeric characters, dashes
            (-), and underscores (_))
        order_amount:
          $ref: '#/components/schemas/Price'
          description: >-
            A Price object containing the total amount in cents of the order,
            which must be at least 100 which is $1.00. Please note your merchant
            configuration might have a higher minimum.
    OrderDetail:
      type: object
      properties:
        description:
          type: string
          description: Your description for this order
        metadata:
          type: object
          description: >-
            Object for any custom data you want to submit with the checkout. You
            are not limited to the key-value pairs shown in the example, and you
            may use any key-value pairs you like
          properties:
            any:
              type: string
              description: Custom metadata field
        items:
          type: array
          description: The items being purchased
          items:
            $ref: '#/components/schemas/LineItem'
    OrderGet:
      type: object
      properties:
        checkout_expiration:
          type: string
          format: date-time
          description: >-
            The date until which the shopper can access the checkout_url
            generated in Create Session request to complete the order. ISO 8601
            date/time format
        checkout_status:
          type: string
          description: >
            The state of the checkout, not an indication of capture status.

            Active: Session created, pending shopper order completion

            Completed: Shopper has completed the order

            Deleted: Session expired or deleted, or funds released

            Denied: Order total exceeds the user's approved Sezzle spending
            power. **Note:** If order exceeds Sezzle merchant order limit, the
            status will not be denied.
          enum:
            - active
            - complete
            - denied
            - deleted
        tax_amount:
          $ref: '#/components/schemas/PriceBase'
          description: >-
            The taxes applied to this order, amount is included in the order
            total, only available if included in session request or obtained for
            express checkout
        shipping_amount:
          $ref: '#/components/schemas/PriceBase'
          description: >-
            The shipping fees applied to this order, amount is included in the
            order total, only available if included in session request or
            obtained for express checkout
        shipping_method:
          description: >-
            Shipping method would be returned only for express checkout once the
            shopper selects from the available options.
          type: object
          properties:
            name:
              type: string
              description: The name of the shipping method
            description:
              type: string
              description: The description of the shipping method
        is_upcharge:
          type: boolean
          description: >-
            True if this order was created via the Upcharge endpoint to capture
            an additional amount on a parent order.
        parent_order_uuid:
          type: string
          description: >-
            When `is_upcharge` is true, the UUID of the original (parent) order
            that this upcharge was applied to.
        upcharges:
          type: array
          description: >-
            When this order is a parent that has had upcharges applied, lists
            each upcharge order's UUID and amount. Use the listed UUIDs with
            other Order API endpoints (Get Order, Capture, Refund, etc.).
          items:
            type: object
            properties:
              uuid:
                type: string
                description: The UUID of the upcharge order
              amount:
                $ref: '#/components/schemas/Price'
                description: The amount of the upcharge
    Customer:
      allOf:
        - $ref: '#/components/schemas/CheckoutRequestCustomer'
        - type: object
          properties:
            billing_address:
              $ref: '#/components/schemas/AddressV2'
              description: The customer's billing address
    AddressV2:
      allOf:
        - $ref: '#/components/schemas/Address'
        - type: object
          properties:
            phone:
              type: string
              description: The phone number at the delivery location
    Authorization:
      type: object
      description: The authorization details for the order
      properties:
        authorization_amount:
          $ref: '#/components/schemas/Price'
          description: The amount that was authorized
        approved:
          type: boolean
          description: Shopper approval status for the order
        expiration:
          type: string
          format: date-time
          description: >-
            The date until which the merchant can capture the order amount. ISO
            8601 date/time format
    AuthorizationDetails:
      type: object
      properties:
        releases:
          type: array
          description: Released funds event details
          items:
            $ref: '#/components/schemas/AuthorizationEvent'
        captures:
          type: array
          description: Captured funds event details
          items:
            $ref: '#/components/schemas/AuthorizationEvent'
        refunds:
          type: array
          description: Refunded funds event detail
          items:
            $ref: '#/components/schemas/AuthorizationEvent'
        financing_option:
          $ref: '#/components/schemas/InstallmentPlan'
        sezzle_order_id:
          type: string
          description: Sezzle Order ID reflected in Merchant Dashboard
    Link:
      type: object
      required:
        - href
      properties:
        href:
          type: string
          description: The fully qualified URL for the API endpoint
        rel:
          type: string
          description: >-
            The relationship type indicating the purpose of this link (e.g.,
            'self' for the current resource, 'create' for creating a new
            resource, 'list' for listing resources)
          enum:
            - self
            - capture
            - checkout
            - create
            - customer
            - list
            - order
            - preapprove
            - refund
            - release
            - session
        method:
          type: string
          description: The HTTP method to use when calling this API endpoint
          enum:
            - GET
            - POST
            - PATCH
            - DELETE
    Intent:
      type: string
      description: >
        If your checkout flow requires the user to confirm their checkout on
        your site after being approved by Sezzle, use AUTH as your intent. If
        you prefer the checkout be captured immediately, use CAPTURE.

        Submit a capture request via the API or your Merchant Dashboard before
        the authorization expires.

        The authorization expiration window can be set from 30 minutes up to 7
        days in your Merchant Dashboard Settings.
      enum:
        - AUTH
        - CAPTURE
    Price:
      allOf:
        - $ref: '#/components/schemas/PriceBase'
        - type: object
          required:
            - amount_in_cents
            - currency
    LineItem:
      description: >-
        Merchants who are in the Sports & Hobbies or Hunting & Fishing
        categories must define a category_path for each item in the order.
        Please talk with your account manager for further details.
      allOf:
        - $ref: '#/components/schemas/LineItemBasic'
        - type: object
          properties:
            name:
              type: string
              description: The name of the item
            sku:
              type: string
              description: The sku identifier
            quantity:
              type: integer
              description: The quantity purchased
            price:
              $ref: '#/components/schemas/Price'
              description: The price of the product before tax and discounts
            brand:
              type: string
              description: >-
                The products brand name as customers would recognize. Examples:
                Nike, Kelty, Brooks, Carhartt, Columbia
            image_url:
              type: string
              description: The fully qualified URL that shows the image
            product_url:
              type: string
              description: >-
                The fully qualified URL that links directly to the product being
                purchased
            global_trade_item_number:
              type: string
              description: >-
                The products Global Trade Item Number (GTIN). Common types
                include UPC, ISBN, EAN. Exclude dashes and spaces.
            manufacturer_part_number:
              type: string
              description: >-
                The products Manufacturer Part Number (MPN) which together with
                brand can uniquely identify a product.
    PriceBase:
      type: object
      properties:
        amount_in_cents:
          type: integer
          description: The amount in cents
        currency:
          type: string
          description: The 3 character currency code as defined by ISO 4217
    CheckoutRequestCustomer:
      type: object
      properties:
        first_name:
          type: string
          description: The customer's first name
        last_name:
          type: string
          description: The customer's last name
        email:
          type: string
          description: The customer's email address
        phone:
          type: string
          description: The customer's phone number
    Address:
      type: object
      properties:
        name:
          type: string
          description: The name on the address
        street:
          type: string
          description: The street and number of the address
        street2:
          type: string
          description: The apt or unit
        city:
          type: string
          description: The city
        state:
          type: string
          description: The 2 character state code
        postal_code:
          type: string
          description: The postal delivery code
        country_code:
          type: string
          description: The 2 character country code
    AuthorizationEvent:
      type: object
      properties:
        amount_in_cents:
          type: integer
          description: The amount in cents for the transaction
        authorization_token:
          type: string
          description: The checkout UUID from the order
        currency_code:
          type: string
          description: The 3 character currency code as defined by ISO 4217
        is_full:
          type: boolean
          description: Whether the transaction is the full amount of the order
        namespace:
          type: string
          description: Might be be `gateway` or `checkout`
        token:
          type: string
          description: The tokenization UUID attached to this customer
        group_id:
          type: string
          description: ''
    InstallmentPlan:
      type: string
      description: |
        *currently not supported, defaults to 4-pay-biweekly*
      enum:
        - 4-pay-biweekly
        - 4-pay-monthly
        - 6-pay-monthly
    ErrorV2:
      type: object
      properties:
        code:
          type: string
          description: The general error type
        message:
          type: string
          description: A more specific error message, if available
        location:
          type: string
          description: Where the error occurred
        debug_uuid:
          type: string
          description: The unique identifier assigned to this error for troubleshooting
    LineItemBasic:
      type: object
      description: >-
        Merchants who are in the Sports & Hobbies or Hunting & Fishing
        categories must define a category_path for each item in the order.
        Please talk with your account manager for further details.
      properties:
        name:
          type: string
          description: The name of the item
        sku:
          type: string
          description: The sku identifier
        quantity:
          type: integer
          description: The quantity purchased
        price:
          $ref: '#/components/schemas/Price'
          description: The price of the product before tax and discounts
        category_path:
          type: string
          description: >-
            The category path where the product is located. Use `>` only as the
            category delimiter, not as part of a product or category name.
            Example: Camping Gear & Supplies > Tents & Shelters.
  responses:
    BadRequestV2:
      description: Invalid request
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: bad_request
              message: bad request
    UnauthorizedV2:
      description: >-
        Unauthorized. Returned for any failed bearer or basic auth, including
        expired bearer tokens.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: unauthorized
              message: authorization not accepted
    NotFoundV2:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: record_not_found
              message: not found
    UnprocessableV2:
      description: Unable to process the request entity
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ErrorV2'
          example:
            - code: invalid
              message: Unprocessable entity
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header
      description: >-
        The authentication token generated from providing API Keys to Sezzle
        Gateway

````